Как выполнять только обновления LTS?

16

Я знаю, что я видел это где-то раньше, но что может заставить диспетчер обновлений запрашивать обновления, кроме релизов LTS-LTS?

    
задан David 12.08.2010 в 19:12
источник

2 ответа

20

Если вы перейдете в Ubuntu > Система > Администрирование > Update Manager, вы увидите кнопку Settings ... в левом нижнем углу диалогового окна. В диалоговом окне перейдите на вкладку «Обновления» и снимите флажки с обновлениями и установите Release Upgrade на «Long Term Support Releases Only».

Он должен выглядеть примерно так:

Дополнительнуюинформациюсм.в документах сообщества .     

ответ дан Erigami 12.08.2010 в 19:18
12

Публикация в качестве ответа того, что сказал @flickerfly в комментарии: способ сделать это без GUI - это изменить значение Prompt в /etc/update-manager/release-upgrades .

[DEFAULT]
Prompt=lts

Возможные значения (скопированы из самого файла):

  • never : никогда не проверяйте новую версию.
  • normal : проверьте, доступна ли новая версия. Если несколько новых релиз, обновитель релиза попытается перейти на релиз, который сразу же удастся выполнить в настоящее время выпуск.
  • lts : проверьте, доступна ли новая версия LTS. Усовершенствование попытается перейти на первый выпуск LTS, доступный после в настоящее время. Обратите внимание, что этот параметр не должен быть используется, если текущая версия не является самой LTS так как в этом случае модернизатор не сможет определить, доступна ли более новая версия.
ответ дан sierrasdetandil 08.01.2014 в 22:33